net.sourceforge.pmd

## Class ExcludeLinesTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.ExcludeLinesTest

    public class ExcludeLinesTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`ExcludeLinesTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testAcceptance()`
`void` `testAlternateMarker()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExcludeLinesTest

    public ExcludeLinesTest()

### Method Detail

#### setUp

    public void setUp()

#### testAcceptance

    public void testAcceptance()

#### testAlternateMarker

    public void testAlternateMarker()
                             throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()